<style type="text/css">
	.base-city { font-weight: bold }
	fieldset.region-cities {
		float:left; 
		width: 250px;
		padding: 10px 0 0 10px;
		margin-left: 5px;
		min-height: 380px;
	}
	.region-cities li {
		list-style-type: none;
		line-height: 2.5em;
	}
	.region-cities label {
		width: auto !important;
		cursor: pointer;
	}
	.region-cities li input {
		margin-right: 20px;
	}
</style>
<script type="text/javascript">
	var ajaxCities = function () {
		var c = $('country').getSelected()[0], ct = $('cities');

		ct.empty();
		$('selected').empty();
		$('selected-hidden').empty();

		if ( $defined($('cityzones_wrp')) ) {
			$('cityzones_wrp').setStyle('display', 'none');
		}
		if ( $defined($('cityzones')) ) {
			$('cityzones').empty();
		}
		if ( $defined($('selected-z')) ) {
			$('selected-z').empty();
		}
		if ( $defined($('selected-hidden-z')) ) {
			$('selected-hidden-z').empty();
		}

		c.set('disabled', 'disabled');
		ct.set('disabled', 'disabled');
		new Request({
			url: '/<?= Cubix_I18n::getLang() ?>/geography/ajax-get-cities-grouped',
			data: { country_id: c.get('value') },
			onSuccess: function (html) {
				ct.set('html', html);
				c.set('disabled', null);
				ct.set('disabled', null);
			}
		}).send();
	};

	window.addEvent('domready', function () {
		$$('input[name=cities]').addEvent('change', function(){
			$$('input[name=city_id]').set('value', $(this).get('value'));
		});
	});
</script>
<fieldset>
	<legend><?= __('pv2_section_working_locations') ?></legend>

	<input type="hidden" name="session_hash" value="<?= $this->session_hash ?>" />
	<div class="body">
		<div class="inner">
			<input name="country_id" value="<?= Cubix_Application::getById()->country_id ?>" type="hidden" />
			<div class="error old-err">*</div>
			<div class="clear"></div>
		</div>
		<? foreach($this->regions as $region => $cities): ?>
		<fieldset class="region-cities">
			<legend><?= $region ?></legend>
			<ul>
				<? foreach($cities as $city): ?>
				<li>
					<label><input type="radio" name="cities" value="<?= $city->id ?>" <?= ($this->data['city_id'] && $this->data['city_id'] == $city->id) ? 'checked="checked"' : '' ?> /><?= $city->title ?></label>
				</li>
				<div class="clear"></div>
				<? endforeach; ?>
			</ul>
		</fieldset>
		<? endforeach; ?>
		<input type="hidden" name="city_id" value="<?= $this->data['city_id'] ?>"/>
		<div class="clear"></div>
	</div>
</fieldset>

<fieldset class="vindent">
	<legend><?= __('pv2_section_available_for') ?> <span class="tip" title="<?= __('pv2_tip_available_for') ?>"></span></legend>
	<div class="body">
		<div class="inner fleft" style="clear: none">
			<label class="option" for="incall"><input id="incall" type="checkbox" name="incall" value="1"<?= $this->data['incall_type'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_incall') ?></span></label>
			<div style="float: left; margin-top: -18px">
				<label for="zip" style="font-weight: normal"><?= __('pv2_label_zip_code') ?></label><br/>
				<input id="zip" type="text" class="txt <?= $this->data['incall_type'] ? '' : ' disabled' ?>" name="zip" value="<?= $this->data['incall_type'] && $this->data['zip'] ? $this->data['zip'] : '' ?>" size="21"<?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> />
			</div>
			<div class="clear"></div>
			<dl class="options-vertical">
				<dt><label for="private-apartment"><input id="private-apartment" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_PRIVATE_APARTMENT ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_PRIVATE_APARTMENT ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_private_apartment') ?></span></label></dt>
				<dt><label for="hotel-room"><input id="hotel-room" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_HOTEL_ROOM ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_hotel_room') ?></span></label></dt>
				<dl class="options-vertical">
					<dt><label for="five-star"><input id="five-star" type="radio" name="incall_hotel_room" value="5"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 5 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="four-star"><input id="four-star" type="radio" name="incall_hotel_room" value="4"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 4 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="three-star"><input id="three-star" type="radio" name="incall_hotel_room" value="3"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 3 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="two-star"><input id="two-star" type="radio" name="incall_hotel_room" value="2"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 2 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>"><img src="<?= _st('_/icon_star.png') ?>"></span></label></dt>
					<dt><label for="one-star"><input id="one-star" type="radio" name="incall_hotel_room" value="1"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? '' : ' disabled="disabled"' ?><?= $this->data['incall_hotel_room'] == 1 ? ' checked="checked"' : '' ?> /> <span><img src="<?= _st('_/icon_star.png') ?>" /></span></label></dt>
				</dl>
				<dt><label for="club-studio"><input id="club-studio" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_CLUB_STUDIO ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_CLUB_STUDIO ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_club_studio') ?></span></label></dt>
				<dt>
					<label for="incall-other"><input id="incall-other" type="radio" name="incall_type" value="<?= AVAILABILITY_INCALL_OTHER ?>"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?><?= $this->data['incall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_incall_other') ?></span></label>
					<input type="text" class="txt<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled' ?>" name="incall_other" value="<?= $this->data['incall_other'] ?>" size="35"<?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled="disabled"' ?> />
				</dt>
			</dl>
		</div>

		<div class="inner fleft" style="clear: none; margin-left: 40px">
			<label class="option" for="outcall"><input id="outcall" type="checkbox" name="outcall" value="1"<?= $this->data['outcall_type'] ? ' checked="checked"' : '' ?> /> <span><?= __('pv2_label_outcall') ?></span></label>
			<div class="clear"></div>
			<dl class="options-vertical">
				<dt><label for="hotel-visits"><input id="hotel-visits" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_hotel_visits_only') ?></span></label></dt>
				<dt><label for="home-visits"><input id="home-visits" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOME_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOME_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_home_visits_only') ?></span></label></dt>
				<dt><label for="hotel-home"><input id="hotel-home" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ?>"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_hotel_and_home_visits') ?></span></label></dt>
				<dt>
					<label for="outcall-other"><input id="outcall-other" type="radio" name="outcall_type" value="<?= AVAILABILITY_OUTCALL_OTHER ?>"<?= $this->data['outcall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?><?= $this->data['outcall_type'] ? '' : ' disabled="disabled"' ?> /> <span><?= __('pv2_label_outcall_other') ?></span></label>
					<input type="text" class="txt<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled' ?>" name="outcall_other" value="<?= $this->data['outcall_other'] ?>" size="35"<?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_OTHER ? '' : ' disabled="disabled"' ?> />
				</dt>
			</dl>
		</div>
		<div class="clear"></div>
	</div>
</fieldset>

<script type="text/javascript">
    var incallcheckbox=0,outcallcheckbox = 0;
    <?php if($this->data['incall_type']){
        ?>
            incallcheckbox=1;
            <?php
    }
    ?>

	var handleIncall = function (el) {
		el.blur();
		var disable = el.get('checked') ? null : 'disabled';
        if(el.get('checked')){
            incallcheckbox = 1;
            loadCityzones();
        }else{
            incallcheckbox = 0;
            loadCityzones();
            if($('onlyOneMessage')){
                $('onlyOneMessage').destroy();
            }
        }

		$(el).getParent('.inner').getElements('input').each(function (it) {
			if ( it.get('id') == 'incall' ) return;
			it.set('disabled', disable);
			if ( disable ) it.addClass('disabled');
			else it.removeClass('disabled');
		});

		disable = $('hotel-room').get('checked') ? ($('incall').get('checked') ? null : 'disabled') : 'disabled';
		$('hotel-room').getParent('dt').getNext('dl').getElements('input').set('disabled', disable);

		disable = $('incall-other').get('checked') && el.get('checked') ? null : 'disabled';
		$('incall-other').getParent('label').getNext('input').set('disabled', disable)[(disable ? 'add' : 'remove') + 'Class']('disabled');
	};

	$('incall').getParent('.inner').getElements('input').each(function (el) {
		if ( ! ['checkbox', 'radio'].contains(el.get('type')) ) return;

		el.addEvent('change', handleIncall.pass($('incall')));
	});

	var handleOutcall = function (el) {
		el.blur();
		var disable = el.get('checked') ? null : 'disabled';

        if(el.get('checked')){
            outcallcheckbox = 1;
        }else{
            outcallcheckbox = 0;
        }
		$(el).getParent('.inner').getElements('input').each(function (it) {
			if ( it.get('id') == 'outcall' ) return;
			it.set('disabled', disable);
			if ( disable ) it.addClass('disabled');
			else it.removeClass('disabled');
		});

		disable = $('outcall-other').get('checked') && el.get('checked') ? null : 'disabled';
		$('outcall-other').getParent('label').getNext('input').set('disabled', disable)[(disable ? 'add' : 'remove') + 'Class']('disabled');
	};

	$('outcall').getParent('.inner').getElements('input').each(function (el) {
		if ( ! ['checkbox', 'radio'].contains(el.get('type')) ) return;

		el.addEvent('change', handleOutcall.pass($('outcall')));
	});
</script>
